import {
  CloseOutlined,
  PlusCircleOutlined,
  ZoomOutOutlined,
  MinusCircleOutlined,
  MinusOutlined,
  MonitorOutlined,
} from '@ant-design/icons';
import { useState } from 'react';
import './index.less';
const Header = (props) => {
  const [showIcon, setShowIcon] = useState(true);
  const [windowStatus, setWindowStatus] = useState(true);
  const { headerSetting, events, changeStyle, changeScale } = props;
  const { scaleChange, windowChange, smallChange, tipClose } = events;
  const getWinChange = (icon) => {
    let name;
    setShowIcon(!icon);
    showIcon ? (name = 'large') : (name = 'middle');
    changeStyle({ name });
    windowChange({ name });
  };
  const getWindowStatus = (flag) => {
    setWindowStatus(flag);
    changeScale(flag);
    smallChange({ flag });
  };
  const iconStyle = () => {
    if (windowStatus) {
      return {
        icon: { display: 'inline-block' },
        other: { width: '70%' },
        header: { width: '30%' },
      };
    } else {
      return { icon: { display: 'none' }, other: { width: '0%' }, header: { width: '100%' } };
    }
  };
  return (
    <div className="Tiphead">
      <div
        onClick={getWindowStatus.bind(this, true)}
        className="TipheadTitle"
        style={iconStyle().header}
      >
        <span>{headerSetting.layerName}</span>
        <span>-</span>
        <span>{headerSetting.oid}</span>
      </div>

      <div className="iconList" style={iconStyle().other}>
        <div style={iconStyle().icon}>
          <span className="icons" title="缩放" onClick={scaleChange}>
            <ZoomOutOutlined />
            <span className="words">缩放至</span>
          </span>
          <span className="icons" onClick={getWinChange.bind(this, showIcon)}>
            {showIcon ? <PlusCircleOutlined /> : <MinusCircleOutlined />}
          </span>
          <span className="icons" onClick={getWindowStatus.bind(this, false)}>
            <MinusOutlined />
          </span>
        </div>
        <span className="icons" onClick={tipClose}>
          <CloseOutlined />
        </span>
      </div>
    </div>
  );
};
export { Header };
