import './index.less';
import { FileTextOutlined, PlaySquareOutlined } from '@ant-design/icons';
import { TableContent } from '../tableContent';
import { Tabs } from 'antd';
const { TabPane } = Tabs;
const LeftList = (props) => {
  const { leftSetting } = props;
  return (
    <div className="ullist">
      <Tabs tabPosition="left">
        {leftSetting.map((item, index) => {
          if (!item.active) return;
          if (item.name == 'dataList') {
            return (
              <TabPane
                tab={
                  <div>
                    <FileTextOutlined />
                  </div>
                }
                key={index}
              >
                <TableContent data={item.data} />
              </TabPane>
            );
          } else if (item.name == 'media') {
            return (
              <TabPane
                tab={
                  <div>
                    <PlaySquareOutlined />
                  </div>
                }
                key="2"
              >
                多媒体
              </TabPane>
            );
          }
        })}
      </Tabs>
    </div>
  );
};
export { LeftList };
